CVE-2004-0693
CVSS5.0
发布时间 :2004-09-28 00:00:00
修订时间 :2010-08-21 00:21:05
NMCO    

[原文]The GIF parser in the QT library (qt3) before 3.3.3 allows remote attackers to cause a denial of service (application crash) via a malformed image file that triggers a null dereference, a different vulnerability than CVE-2004-0692.


[CNNVD]Qt图象文件缓冲区溢出漏洞(CNNVD-200409-086)

        
        Qt是一款C++应用开发工具,包括类库和跨平台开放工具。
        Qt包含多个安全问题,远程攻击者可以利用这些漏洞构建恶意图象文件,可能以进程权限在系统上执行任意指令。
        Qt库在处理8-bit RLE编码的BMP文件过程中存在基于堆的缓冲区溢出,远程攻击者可以建立特殊的BMP文件,诱使用户查看,可导致任意指令执行。
        同样在处理XPM,GIF和JPET图象文件时也存在此问题。
        实际上这个漏洞是由于libpng引起的,由于分配了CVE号,所以作为单独漏洞列出。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:10883The GIF parser in the QT library (qt3) before 3.3.3 allows remote attackers to cause a denial of service (application crash) via a malformed...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0693
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0693
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200409-086
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/17042
(VENDOR_ADVISORY)  XF  qt-gif-dos(17042)
http://security.gentoo.org/glsa/glsa-200408-20.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200408-20
http://www.redhat.com/support/errata/RHSA-2004-414.html
(UNKNOWN)  REDHAT  RHSA-2004:414
http://www.novell.com/linux/security/advisories/2004_27_qt3.html
(UNKNOWN)  SUSE  SUSE-SA:2004:027
http://www.debian.org/security/2004/dsa-542
(UNKNOWN)  DEBIAN  DSA-542
http://sunsolve.sun.com/search/document.do?assetkey=1-66-201610-1
(UNKNOWN)  SUNALERT  201610
http://www.mandriva.com/security/advisories?name=MDKSA-2004:085
(UNKNOWN)  MANDRAKE  MDKSA-2004:085

- 漏洞信息

Qt图象文件缓冲区溢出漏洞
中危 边界条件错误
2004-09-28 00:00:00 2010-01-28 00:00:00
远程  
        
        Qt是一款C++应用开发工具,包括类库和跨平台开放工具。
        Qt包含多个安全问题,远程攻击者可以利用这些漏洞构建恶意图象文件,可能以进程权限在系统上执行任意指令。
        Qt库在处理8-bit RLE编码的BMP文件过程中存在基于堆的缓冲区溢出,远程攻击者可以建立特殊的BMP文件,诱使用户查看,可导致任意指令执行。
        同样在处理XPM,GIF和JPET图象文件时也存在此问题。
        实际上这个漏洞是由于libpng引起的,由于分配了CVE号,所以作为单独漏洞列出。
        

- 公告与补丁

        厂商补丁:
        Trolltech
        ---------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载升级版本Qt 3.3.3版本:
        
        http://www.trolltech.com/download/index.html

- 漏洞信息

9035
Qt GIF Parser Null Dereference Remote DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Unknown

- 漏洞描述

Qt contains a flaw that may allow a remote denial of service. The issue is triggered when a NULL derefernce occurs in the GIF parser, and will result in loss of availability for the system running Qt. No further details have been provided.

- 时间线

2004-08-19 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 3.3.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站